part of keyclic_sdk_api.api;

class QueryParam {
  String name;
  String value;

  QueryParam(this.name, this.value);
}

class ApiClient {
  String basePath;
  var client = new Client();

  Map<String, String> _defaultHeaderMap = {};
  Map<String, Authentication> _authentications = {};

  final _RegList = new RegExp(r'^List<(.*)>$');
  final _RegMap = new RegExp(r'^Map<String,(.*)>$');

  ApiClient({this.basePath: "https://api.keyclic.com"}) {
    // Setup authentications (key: authentication name, value: authentication).
    //_authentications['bearer'] = new ApiKeyAuth("header", "Authorization");
    _authentications['bearer'] = new OAuth();
  }

  void addDefaultHeader(String key, String value) {
    _defaultHeaderMap[key] = value;
  }

  dynamic _deserialize(dynamic value, String targetType) {
    try {
      switch (targetType) {
        case 'String':
          return '$value';
        case 'int':
          return value is int ? value : int.parse('$value');
        case 'bool':
          return value is bool ? value : '$value'.toLowerCase() == 'true';
        case 'double':
          return value is double ? value : double.parse('$value');
        case 'Activity':
          return new Activity.fromJson(value);
        case 'ActivityAggregatedPagination':
          return new ActivityAggregatedPagination.fromJson(value);
        case 'ActivityGroup':
          return new ActivityGroup.fromJson(value);
        case 'ActivityPagination':
          return new ActivityPagination.fromJson(value);
        case 'Application':
          return new Application.fromJson(value);
        case 'ApplicationLinks':
          return new ApplicationLinks.fromJson(value);
        case 'ApplicationLinksSelf':
          return new ApplicationLinksSelf.fromJson(value);
        case 'ApplicationLinksSelfIriTemplate':
          return new ApplicationLinksSelfIriTemplate.fromJson(value);
        case 'ApplicationLinksSelfIriTemplateMapping':
          return new ApplicationLinksSelfIriTemplateMapping.fromJson(value);
        case 'BusinessActivity':
          return new BusinessActivity.fromJson(value);
        case 'BusinessActivityCollection':
          return new BusinessActivityCollection.fromJson(value);
        case 'BusinessActivityLinks':
          return new BusinessActivityLinks.fromJson(value);
        case 'BusinessActivityLinksImage':
          return new BusinessActivityLinksImage.fromJson(value);
        case 'BusinessActivityLinksSchema':
          return new BusinessActivityLinksSchema.fromJson(value);
        case 'BusinessActivityLinksSelf':
          return new BusinessActivityLinksSelf.fromJson(value);
        case 'BusinessActivityLinksSelfIriTemplate':
          return new BusinessActivityLinksSelfIriTemplate.fromJson(value);
        case 'BusinessActivityLinksSelfIriTemplateMapping':
          return new BusinessActivityLinksSelfIriTemplateMapping.fromJson(
              value);
        case 'BusinessActivityMetadataSchema':
          return new BusinessActivityMetadataSchema.fromJson(value);
        case 'BusinessActivityPagination':
          return new BusinessActivityPagination.fromJson(value);
        case 'Category':
          return new Category.fromJson(value);
        case 'CategoryCollection':
          return new CategoryCollection.fromJson(value);
        case 'CategoryData':
          return new CategoryData.fromJson(value);
        case 'CategoryLinks':
          return new CategoryLinks.fromJson(value);
        case 'CategoryLinksOrganization':
          return new CategoryLinksOrganization.fromJson(value);
        case 'CategoryLinksOrganizationIriTemplate':
          return new CategoryLinksOrganizationIriTemplate.fromJson(value);
        case 'CategoryLinksOrganizationIriTemplateMapping':
          return new CategoryLinksOrganizationIriTemplateMapping.fromJson(
              value);
        case 'CategoryLinksSelf':
          return new CategoryLinksSelf.fromJson(value);
        case 'CategoryLinksSelfIriTemplate':
          return new CategoryLinksSelfIriTemplate.fromJson(value);
        case 'CategoryLinksSelfIriTemplateMapping':
          return new CategoryLinksSelfIriTemplateMapping.fromJson(value);
        case 'CategoryPagination':
          return new CategoryPagination.fromJson(value);
        case 'CategoryPatch':
          return new CategoryPatch.fromJson(value);
        case 'Chart':
          return new Chart.fromJson(value);
        case 'Checkpoint':
          return new Checkpoint.fromJson(value);
        case 'CheckpointLinks':
          return new CheckpointLinks.fromJson(value);
        case 'CheckpointLinksOrganization':
          return new CheckpointLinksOrganization.fromJson(value);
        case 'Choice':
          return new Choice.fromJson(value);
        case 'CommentData':
          return new CommentData.fromJson(value);
        case 'Condition':
          return new Condition.fromJson(value);
        case 'DelegateData':
          return new DelegateData.fromJson(value);
        case 'Delegation':
          return new Delegation.fromJson(value);
        case 'DelegationLinks':
          return new DelegationLinks.fromJson(value);
        case 'DelegationLinksCreatedBy':
          return new DelegationLinksCreatedBy.fromJson(value);
        case 'DelegationLinksCreatedByIriTemplate':
          return new DelegationLinksCreatedByIriTemplate.fromJson(value);
        case 'DelegationLinksCreatedByIriTemplateMapping':
          return new DelegationLinksCreatedByIriTemplateMapping.fromJson(value);
        case 'DelegationLinksFrom':
          return new DelegationLinksFrom.fromJson(value);
        case 'DelegationLinksReport':
          return new DelegationLinksReport.fromJson(value);
        case 'DelegationLinksReportIriTemplate':
          return new DelegationLinksReportIriTemplate.fromJson(value);
        case 'DelegationLinksReportIriTemplateMapping':
          return new DelegationLinksReportIriTemplateMapping.fromJson(value);
        case 'DelegationLinksSelf':
          return new DelegationLinksSelf.fromJson(value);
        case 'DelegationLinksSelfIriTemplate':
          return new DelegationLinksSelfIriTemplate.fromJson(value);
        case 'DelegationLinksSelfIriTemplateMapping':
          return new DelegationLinksSelfIriTemplateMapping.fromJson(value);
        case 'DelegationLinksTo':
          return new DelegationLinksTo.fromJson(value);
        case 'Device':
          return new Device.fromJson(value);
        case 'DeviceData':
          return new DeviceData.fromJson(value);
        case 'DeviceLinks':
          return new DeviceLinks.fromJson(value);
        case 'DeviceLinksPerson':
          return new DeviceLinksPerson.fromJson(value);
        case 'Document':
          return new Document.fromJson(value);
        case 'DocumentCollection':
          return new DocumentCollection.fromJson(value);
        case 'DocumentData':
          return new DocumentData.fromJson(value);
        case 'DocumentDataFile':
          return new DocumentDataFile.fromJson(value);
        case 'DocumentDataPermission':
          return new DocumentDataPermission.fromJson(value);
        case 'DocumentFile':
          return new DocumentFile.fromJson(value);
        case 'DocumentLinks':
          return new DocumentLinks.fromJson(value);
        case 'DocumentLinksCreatedBy':
          return new DocumentLinksCreatedBy.fromJson(value);
        case 'DocumentLinksFile':
          return new DocumentLinksFile.fromJson(value);
        case 'DocumentLinksSelf':
          return new DocumentLinksSelf.fromJson(value);
        case 'DocumentLinksSelfIriTemplate':
          return new DocumentLinksSelfIriTemplate.fromJson(value);
        case 'DocumentLinksSelfIriTemplateMapping':
          return new DocumentLinksSelfIriTemplateMapping.fromJson(value);
        case 'DocumentPagination':
          return new DocumentPagination.fromJson(value);
        case 'EmailData':
          return new EmailData.fromJson(value);
        case 'Error':
          return new Error.fromJson(value);
        case 'ErrorEmbedded':
          return new ErrorEmbedded.fromJson(value);
        case 'FacebookConnectData':
          return new FacebookConnectData.fromJson(value);
        case 'Feature':
          return new Feature.fromJson(value);
        case 'FeatureGeometry':
          return new FeatureGeometry.fromJson(value);
        case 'Feedback':
          return new Feedback.fromJson(value);
        case 'FeedbackCollection':
          return new FeedbackCollection.fromJson(value);
        case 'FeedbackData':
          return new FeedbackData.fromJson(value);
        case 'FeedbackDataGeo':
          return new FeedbackDataGeo.fromJson(value);
        case 'FeedbackDataGeoPoint':
          return new FeedbackDataGeoPoint.fromJson(value);
        case 'FeedbackEmbedded':
          return new FeedbackEmbedded.fromJson(value);
        case 'FeedbackGeoCoordinates':
          return new FeedbackGeoCoordinates.fromJson(value);
        case 'FeedbackGeoCoordinatesPoint':
          return new FeedbackGeoCoordinatesPoint.fromJson(value);
        case 'FeedbackLinks':
          return new FeedbackLinks.fromJson(value);
        case 'FeedbackLinksBusinessActivity':
          return new FeedbackLinksBusinessActivity.fromJson(value);
        case 'FeedbackLinksCategory':
          return new FeedbackLinksCategory.fromJson(value);
        case 'FeedbackLinksImage':
          return new FeedbackLinksImage.fromJson(value);
        case 'FeedbackLinksImageIriTemplate':
          return new FeedbackLinksImageIriTemplate.fromJson(value);
        case 'FeedbackLinksImageIriTemplateMapping':
          return new FeedbackLinksImageIriTemplateMapping.fromJson(value);
        case 'FeedbackLinksImages':
          return new FeedbackLinksImages.fromJson(value);
        case 'FeedbackLinksReporter':
          return new FeedbackLinksReporter.fromJson(value);
        case 'FeedbackLinksSelf':
          return new FeedbackLinksSelf.fromJson(value);
        case 'FeedbackLinksSelfIriTemplate':
          return new FeedbackLinksSelfIriTemplate.fromJson(value);
        case 'FeedbackLinksSelfIriTemplateMapping':
          return new FeedbackLinksSelfIriTemplateMapping.fromJson(value);
        case 'FeedbackLinksTracking':
          return new FeedbackLinksTracking.fromJson(value);
        case 'FeedbackPagination':
          return new FeedbackPagination.fromJson(value);
        case 'FeedbackReviewRequest':
          return new FeedbackReviewRequest.fromJson(value);
        case 'FeedbackReviewRequestCollection':
          return new FeedbackReviewRequestCollection.fromJson(value);
        case 'FeedbackReviewRequestLinks':
          return new FeedbackReviewRequestLinks.fromJson(value);
        case 'FeedbackReviewRequestLinksItemToReview':
          return new FeedbackReviewRequestLinksItemToReview.fromJson(value);
        case 'FeedbackReviewRequestLinksReview':
          return new FeedbackReviewRequestLinksReview.fromJson(value);
        case 'FeedbackReviewRequestLinksReviewer':
          return new FeedbackReviewRequestLinksReviewer.fromJson(value);
        case 'FeedbackReviewRequestLinksSelf':
          return new FeedbackReviewRequestLinksSelf.fromJson(value);
        case 'FeedbackReviewRequestLinksSelfIriTemplate':
          return new FeedbackReviewRequestLinksSelfIriTemplate.fromJson(value);
        case 'FeedbackReviewRequestLinksSelfIriTemplateMapping':
          return new FeedbackReviewRequestLinksSelfIriTemplateMapping.fromJson(
              value);
        case 'FeedbackReviewRequestPagination':
          return new FeedbackReviewRequestPagination.fromJson(value);
        case 'FeedbackStatePatch':
          return new FeedbackStatePatch.fromJson(value);
        case 'FeedbackWorkflowTransitionData':
          return new FeedbackWorkflowTransitionData.fromJson(value);
        case 'ImageData':
          return new ImageData.fromJson(value);
        case 'LogEntry':
          return new LogEntry.fromJson(value);
        case 'LogEntryCollection':
          return new LogEntryCollection.fromJson(value);
        case 'LogEntryPagination':
          return new LogEntryPagination.fromJson(value);
        case 'LoginData':
          return new LoginData.fromJson(value);
        case 'Member':
          return new Member.fromJson(value);
        case 'MemberCollection':
          return new MemberCollection.fromJson(value);
        case 'MemberData':
          return new MemberData.fromJson(value);
        case 'MemberEmbedded':
          return new MemberEmbedded.fromJson(value);
        case 'MemberLinks':
          return new MemberLinks.fromJson(value);
        case 'MemberLinksOrganization':
          return new MemberLinksOrganization.fromJson(value);
        case 'MemberLinksPerson':
          return new MemberLinksPerson.fromJson(value);
        case 'MemberLinksSelf':
          return new MemberLinksSelf.fromJson(value);
        case 'MemberLinksSelfIriTemplate':
          return new MemberLinksSelfIriTemplate.fromJson(value);
        case 'MemberLinksSelfIriTemplateMapping':
          return new MemberLinksSelfIriTemplateMapping.fromJson(value);
        case 'MemberPagination':
          return new MemberPagination.fromJson(value);
        case 'MemberPatch':
          return new MemberPatch.fromJson(value);
        case 'Occupant':
          return new Occupant.fromJson(value);
        case 'OccupantCollection':
          return new OccupantCollection.fromJson(value);
        case 'OccupantLinks':
          return new OccupantLinks.fromJson(value);
        case 'OccupantLinksPerson':
          return new OccupantLinksPerson.fromJson(value);
        case 'OccupantLinksPlace':
          return new OccupantLinksPlace.fromJson(value);
        case 'OccupantLinksPlaceIriTemplate':
          return new OccupantLinksPlaceIriTemplate.fromJson(value);
        case 'OccupantLinksPlaceIriTemplateMapping':
          return new OccupantLinksPlaceIriTemplateMapping.fromJson(value);
        case 'OccupantLinksSelf':
          return new OccupantLinksSelf.fromJson(value);
        case 'OccupantLinksSelfIriTemplate':
          return new OccupantLinksSelfIriTemplate.fromJson(value);
        case 'OccupantLinksSelfIriTemplateMapping':
          return new OccupantLinksSelfIriTemplateMapping.fromJson(value);
        case 'OccupantPagination':
          return new OccupantPagination.fromJson(value);
        case 'Operation':
          return new Operation.fromJson(value);
        case 'OperationCollection':
          return new OperationCollection.fromJson(value);
        case 'OperationData':
          return new OperationData.fromJson(value);
        case 'OperationLinks':
          return new OperationLinks.fromJson(value);
        case 'OperationLinksCreatedBy':
          return new OperationLinksCreatedBy.fromJson(value);
        case 'OperationLinksFeedback':
          return new OperationLinksFeedback.fromJson(value);
        case 'OperationLinksImage':
          return new OperationLinksImage.fromJson(value);
        case 'OperationLinksImageIriTemplate':
          return new OperationLinksImageIriTemplate.fromJson(value);
        case 'OperationLinksImageIriTemplateMapping':
          return new OperationLinksImageIriTemplateMapping.fromJson(value);
        case 'OperationLinksOperator':
          return new OperationLinksOperator.fromJson(value);
        case 'OperationLinksReport':
          return new OperationLinksReport.fromJson(value);
        case 'OperationLinksSelf':
          return new OperationLinksSelf.fromJson(value);
        case 'OperationLinksSelfIriTemplate':
          return new OperationLinksSelfIriTemplate.fromJson(value);
        case 'OperationLinksSelfIriTemplateMapping':
          return new OperationLinksSelfIriTemplateMapping.fromJson(value);
        case 'OperationLinksTracking':
          return new OperationLinksTracking.fromJson(value);
        case 'OperationPagination':
          return new OperationPagination.fromJson(value);
        case 'OperationPatch':
          return new OperationPatch.fromJson(value);
        case 'OperationStatePatch':
          return new OperationStatePatch.fromJson(value);
        case 'OperationWorkflowTransitionData':
          return new OperationWorkflowTransitionData.fromJson(value);
        case 'Organization':
          return new Organization.fromJson(value);
        case 'OrganizationCollection':
          return new OrganizationCollection.fromJson(value);
        case 'OrganizationData':
          return new OrganizationData.fromJson(value);
        case 'OrganizationLinks':
          return new OrganizationLinks.fromJson(value);
        case 'OrganizationLinksBusinessActivity':
          return new OrganizationLinksBusinessActivity.fromJson(value);
        case 'OrganizationLinksLogo':
          return new OrganizationLinksLogo.fromJson(value);
        case 'OrganizationLinksSelf':
          return new OrganizationLinksSelf.fromJson(value);
        case 'OrganizationPagination':
          return new OrganizationPagination.fromJson(value);
        case 'OrganizationPatch':
          return new OrganizationPatch.fromJson(value);
        case 'PaginationLink':
          return new PaginationLink.fromJson(value);
        case 'PaginationLinks':
          return new PaginationLinks.fromJson(value);
        case 'PasswordData':
          return new PasswordData.fromJson(value);
        case 'Person':
          return new Person.fromJson(value);
        case 'PersonCollection':
          return new PersonCollection.fromJson(value);
        case 'PersonData':
          return new PersonData.fromJson(value);
        case 'PersonLinks':
          return new PersonLinks.fromJson(value);
        case 'PersonLinksImage':
          return new PersonLinksImage.fromJson(value);
        case 'PersonLinksMemberOf':
          return new PersonLinksMemberOf.fromJson(value);
        case 'PersonLinksSelf':
          return new PersonLinksSelf.fromJson(value);
        case 'PersonPagination':
          return new PersonPagination.fromJson(value);
        case 'PersonPatch':
          return new PersonPatch.fromJson(value);
        case 'PersonPreferences':
          return new PersonPreferences.fromJson(value);
        case 'Place':
          return new Place.fromJson(value);
        case 'PlaceCollection':
          return new PlaceCollection.fromJson(value);
        case 'PlaceData':
          return new PlaceData.fromJson(value);
        case 'PlaceGeo':
          return new PlaceGeo.fromJson(value);
        case 'PlaceGeoPolygon':
          return new PlaceGeoPolygon.fromJson(value);
        case 'PlaceLinks':
          return new PlaceLinks.fromJson(value);
        case 'PlaceLinksContainedInPlace':
          return new PlaceLinksContainedInPlace.fromJson(value);
        case 'PlaceLinksContainsPlaces':
          return new PlaceLinksContainsPlaces.fromJson(value);
        case 'PlaceLinksContainsPlacesIriTemplate':
          return new PlaceLinksContainsPlacesIriTemplate.fromJson(value);
        case 'PlaceLinksContainsPlacesIriTemplateMapping':
          return new PlaceLinksContainsPlacesIriTemplateMapping.fromJson(value);
        case 'PlaceLinksOrganization':
          return new PlaceLinksOrganization.fromJson(value);
        case 'PlaceLinksSelf':
          return new PlaceLinksSelf.fromJson(value);
        case 'PlacePagination':
          return new PlacePagination.fromJson(value);
        case 'PlacePatch':
          return new PlacePatch.fromJson(value);
        case 'Property':
          return new Property.fromJson(value);
        case 'PropertyConditions':
          return new PropertyConditions.fromJson(value);
        case 'PropertyItems':
          return new PropertyItems.fromJson(value);
        case 'Publication':
          return new Publication.fromJson(value);
        case 'PublicationCollection':
          return new PublicationCollection.fromJson(value);
        case 'PublicationData':
          return new PublicationData.fromJson(value);
        case 'PublicationLinks':
          return new PublicationLinks.fromJson(value);
        case 'PublicationLinksAuthor':
          return new PublicationLinksAuthor.fromJson(value);
        case 'PublicationLinksOrganization':
          return new PublicationLinksOrganization.fromJson(value);
        case 'PublicationLinksPlace':
          return new PublicationLinksPlace.fromJson(value);
        case 'PublicationLinksSelf':
          return new PublicationLinksSelf.fromJson(value);
        case 'PublicationLinksSelfIriTemplate':
          return new PublicationLinksSelfIriTemplate.fromJson(value);
        case 'PublicationLinksSelfIriTemplateMapping':
          return new PublicationLinksSelfIriTemplateMapping.fromJson(value);
        case 'PublicationPagination':
          return new PublicationPagination.fromJson(value);
        case 'RegisterData':
          return new RegisterData.fromJson(value);
        case 'RelationshipData':
          return new RelationshipData.fromJson(value);
        case 'Report':
          return new Report.fromJson(value);
        case 'ReportCollection':
          return new ReportCollection.fromJson(value);
        case 'ReportLinks':
          return new ReportLinks.fromJson(value);
        case 'ReportLinksCategory':
          return new ReportLinksCategory.fromJson(value);
        case 'ReportLinksDelegatedFrom':
          return new ReportLinksDelegatedFrom.fromJson(value);
        case 'ReportLinksDelegatedTo':
          return new ReportLinksDelegatedTo.fromJson(value);
        case 'ReportLinksFeedback':
          return new ReportLinksFeedback.fromJson(value);
        case 'ReportLinksOperations':
          return new ReportLinksOperations.fromJson(value);
        case 'ReportLinksOrganization':
          return new ReportLinksOrganization.fromJson(value);
        case 'ReportLinksSelf':
          return new ReportLinksSelf.fromJson(value);
        case 'ReportLinksTracking':
          return new ReportLinksTracking.fromJson(value);
        case 'ReportPagination':
          return new ReportPagination.fromJson(value);
        case 'ReportPatch':
          return new ReportPatch.fromJson(value);
        case 'ReportStatePatch':
          return new ReportStatePatch.fromJson(value);
        case 'ReportWorkflowTransitionData':
          return new ReportWorkflowTransitionData.fromJson(value);
        case 'Review':
          return new Review.fromJson(value);
        case 'ReviewCollection':
          return new ReviewCollection.fromJson(value);
        case 'ReviewData':
          return new ReviewData.fromJson(value);
        case 'ReviewLinks':
          return new ReviewLinks.fromJson(value);
        case 'ReviewLinksAuthor':
          return new ReviewLinksAuthor.fromJson(value);
        case 'ReviewLinksSelf':
          return new ReviewLinksSelf.fromJson(value);
        case 'ReviewLinksSelfIriTemplate':
          return new ReviewLinksSelfIriTemplate.fromJson(value);
        case 'ReviewLinksSelfIriTemplateMapping':
          return new ReviewLinksSelfIriTemplateMapping.fromJson(value);
        case 'ReviewPagination':
          return new ReviewPagination.fromJson(value);
        case 'Schema':
          return new Schema.fromJson(value);
        case 'Service':
          return new Service.fromJson(value);
        case 'ServiceCollection':
          return new ServiceCollection.fromJson(value);
        case 'ServiceContactPoint':
          return new ServiceContactPoint.fromJson(value);
        case 'ServiceLinks':
          return new ServiceLinks.fromJson(value);
        case 'ServiceLinksOrganization':
          return new ServiceLinksOrganization.fromJson(value);
        case 'ServicePagination':
          return new ServicePagination.fromJson(value);
        case 'SuccessLogin':
          return new SuccessLogin.fromJson(value);
        case 'SuccessLoginCredentials':
          return new SuccessLoginCredentials.fromJson(value);
        case 'SuccessLoginCredentialsAdministratorOf':
          return new SuccessLoginCredentialsAdministratorOf.fromJson(value);
        case 'SuccessLoginCredentialsMemberOf':
          return new SuccessLoginCredentialsMemberOf.fromJson(value);
        case 'SuccessLoginCredentialsOrganization':
          return new SuccessLoginCredentialsOrganization.fromJson(value);
        case 'Tracking':
          return new Tracking.fromJson(value);
        case 'TrackingProgression':
          return new TrackingProgression.fromJson(value);
        case 'Webhook':
          return new Webhook.fromJson(value);
        case 'WebhookCollection':
          return new WebhookCollection.fromJson(value);
        case 'WebhookLinks':
          return new WebhookLinks.fromJson(value);
        case 'WebhookLinksOrganization':
          return new WebhookLinksOrganization.fromJson(value);
        case 'WebhookLinksSelf':
          return new WebhookLinksSelf.fromJson(value);
        case 'WebhookLinksSelfIriTemplate':
          return new WebhookLinksSelfIriTemplate.fromJson(value);
        case 'WebhookLinksSelfIriTemplateMapping':
          return new WebhookLinksSelfIriTemplateMapping.fromJson(value);
        case 'WebhookPagination':
          return new WebhookPagination.fromJson(value);
        case 'WebhookPatch':
          return new WebhookPatch.fromJson(value);
        default:
          {
            Match match;
            if (value is List &&
                (match = _RegList.firstMatch(targetType)) != null) {
              var newTargetType = match[1];
              return value.map((v) => _deserialize(v, newTargetType)).toList();
            } else if (value is Map &&
                (match = _RegMap.firstMatch(targetType)) != null) {
              var newTargetType = match[1];
              return new Map.fromIterables(value.keys,
                  value.values.map((v) => _deserialize(v, newTargetType)));
            }
          }
      }
    } catch (e, stack) {
      throw new ApiException.withInner(
          500, 'Exception during deserialization.', e, stack);
    }
    throw new ApiException(
        500, 'Could not find a suitable class for deserialization');
  }

  dynamic deserialize(String jsonVal, String targetType) {
    // Remove all spaces.  Necessary for reg expressions as well.
    targetType = targetType.replaceAll(' ', '');

    if (targetType == 'String') return jsonVal;

    var decodedJson = json.decode(jsonVal);
    return _deserialize(decodedJson, targetType);
  }

  String serialize(Object obj) {
    String serialized = '';
    if (obj == null) {
      serialized = '';
    } else {
      serialized = json.encode(obj);
    }
    return serialized;
  }

  // We don't use a Map<String, String> for queryParams.
  // If collectionFormat is 'multi' a key might appear multiple times.
  Future<Response> invokeAPI(
      String path,
      String method,
      Iterable<QueryParam> queryParams,
      Object body,
      Map<String, String> headerParams,
      Map<String, String> formParams,
      String contentType,
      List<String> authNames) async {
    _updateParamsForAuth(authNames, queryParams, headerParams);

    var ps = queryParams
        .where((p) => p.value != null)
        .map((p) => '${p.name}=${p.value}');
    String queryString = ps.isNotEmpty ? '?' + ps.join('&') : '';

    String url = basePath + path + queryString;

    headerParams.addAll(_defaultHeaderMap);
    headerParams['Content-Type'] = contentType;

    if (body is MultipartRequest) {
      var request = new MultipartRequest(method, Uri.parse(url));
      request.fields.addAll(body.fields);
      request.files.addAll(body.files);
      request.headers.addAll(body.headers);
      request.headers.addAll(headerParams);
      var response = await client.send(request);
      return Response.fromStream(response);
    } else {
      var msgBody = contentType == "application/x-www-form-urlencoded"
          ? formParams
          : serialize(body);
      switch (method) {
        case "POST":
          return client.post(url, headers: headerParams, body: msgBody);
        case "PUT":
          return client.put(url, headers: headerParams, body: msgBody);
        case "DELETE":
          return client.delete(url, headers: headerParams);
        case "PATCH":
          return client.patch(url, headers: headerParams, body: msgBody);
        default:
          return client.get(url, headers: headerParams);
      }
    }
  }

  /// Update query and header parameters based on authentication settings.
  /// @param authNames The authentications to apply
  void _updateParamsForAuth(List<String> authNames,
      List<QueryParam> queryParams, Map<String, String> headerParams) {
    authNames.forEach((authName) {
      Authentication auth = _authentications[authName];
      if (auth == null)
        throw new ArgumentError("Authentication undefined: " + authName);
      auth.applyToParams(queryParams, headerParams);
    });
  }

  void setAccessToken(String accessToken) {
    _authentications.forEach((key, auth) {
      if (auth is OAuth) {
        auth.setAccessToken(accessToken);
      }
    });
  }
}
