part of keyclic_sdk_api.api;

class ActivityPagination {
  String duration = null;

  String next = null;

  int unseen = null;

  int unread = null;

  List<Activity> results = [];

  ActivityPagination();

  @override
  String toString() {
    return 'ActivityPagination[duration=$duration, next=$next, unseen=$unseen, unread=$unread, results=$results, ]';
  }

  ActivityPagination.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    duration = json['duration'];
    next = json['next'];
    unseen = json['unseen'];
    unread = json['unread'];
    results = Activity.listFromJson(json['results']);
  }

  Map<String, dynamic> toJson() {
    return {
      'duration': duration,
      'next': next,
      'unseen': unseen,
      'unread': unread,
      'results': results,
    };
  }

  static List<ActivityPagination> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<ActivityPagination>()
        : json.map((value) => new ActivityPagination.fromJson(value)).toList();
  }

  static Map<String, ActivityPagination> mapFromJson(
      Map<String, dynamic> json) {
    var map = new Map<String, ActivityPagination>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new ActivityPagination.fromJson(value));
    }
    return map;
  }
}
