part of keyclic_sdk_api.api;

class Checkpoint {
  DateTime createdAt = null;

  List<String> state = [];

  CheckpointLinks links = null;

  Checkpoint();

  @override
  String toString() {
    return 'Checkpoint[createdAt=$createdAt, state=$state, links=$links, ]';
  }

  Checkpoint.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    state = (json['state'] as List)?.map((item) => item as String)?.toList();
    links = new CheckpointLinks.fromJson(json['_links']);
  }

  Map<String, dynamic> toJson() {
    return {
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'state': state,
      '_links': links,
    };
  }

  static List<Checkpoint> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Checkpoint>()
        : json.map((value) => new Checkpoint.fromJson(value)).toList();
  }

  static Map<String, Checkpoint> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Checkpoint>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new Checkpoint.fromJson(value));
    }
    return map;
  }
}
