part of keyclic_sdk_api.api;

class Document {
  DocumentFile file = null;

  Object permission = null;

  String id = null;

  DateTime createdAt = null;

  String type = null;

  DocumentLinks links = null;

  Document();

  @override
  String toString() {
    return 'Document[file=$file, permission=$permission, id=$id, createdAt=$createdAt, type=$type, links=$links, ]';
  }

  Document.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    file = new DocumentFile.fromJson(json['file']);
    permission = new Object.fromJson(json['permission']);
    id = json['id'];
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    type = json['type'];
    links = new DocumentLinks.fromJson(json['_links']);
  }

  Map<String, dynamic> toJson() {
    return {
      'file': file,
      'permission': permission,
      'id': id,
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'type': type,
      '_links': links,
    };
  }

  static List<Document> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Document>()
        : json.map((value) => new Document.fromJson(value)).toList();
  }

  static Map<String, Document> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Document>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new Document.fromJson(value));
    }
    return map;
  }
}
