part of keyclic_sdk_api.api;

class Error {
  String message = null;

  int total = null;

  ErrorEmbedded embedded = null;

  Error();

  @override
  String toString() {
    return 'Error[message=$message, total=$total, embedded=$embedded, ]';
  }

  Error.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    message = json['message'];
    total = json['total'];
    embedded = new ErrorEmbedded.fromJson(json['_embedded']);
  }

  Map<String, dynamic> toJson() {
    return {
      'message': message,
      'total': total,
      '_embedded': embedded,
    };
  }

  static List<Error> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Error>()
        : json.map((value) => new Error.fromJson(value)).toList();
  }

  static Map<String, Error> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Error>();
    if (json != null && json.length > 0) {
      json.forEach(
          (String key, dynamic value) => map[key] = new Error.fromJson(value));
    }
    return map;
  }
}
