part of keyclic_sdk_api.api;

class Feature {
  String type = null;

  FeatureGeometry geometry = null;

  List<String> properties = [];

  Feature();

  @override
  String toString() {
    return 'Feature[type=$type, geometry=$geometry, properties=$properties, ]';
  }

  Feature.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    type = json['type'];
    geometry = new FeatureGeometry.fromJson(json['geometry']);
    properties =
        (json['properties'] as List)?.map((item) => item as String)?.toList();
  }

  Map<String, dynamic> toJson() {
    return {
      'type': type,
      'geometry': geometry,
      'properties': properties,
    };
  }

  static List<Feature> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Feature>()
        : json.map((value) => new Feature.fromJson(value)).toList();
  }

  static Map<String, Feature> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Feature>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new Feature.fromJson(value));
    }
    return map;
  }
}
