part of keyclic_sdk_api.api;

class Feedback {
  String description = null;

  FeedbackGeoCoordinates geoCoordinates = null;

  Map<String, dynamic> metadata = {};

  String id = null;

  List<String> state = [];

  DateTime createdAt = null;

  String type = null;

  bool public = null;

  FeedbackLinks links = null;

  FeedbackEmbedded embedded = null;

  Feedback();

  @override
  String toString() {
    return 'Feedback[description=$description, geoCoordinates=$geoCoordinates, metadata=$metadata, id=$id, state=$state, createdAt=$createdAt, type=$type, public=$public, links=$links, embedded=$embedded, ]';
  }

  Feedback.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    description = json['description'];
    geoCoordinates =
        new FeedbackGeoCoordinates.fromJson(json['geoCoordinates']);
    metadata = json['metadata'];
    id = json['id'];
    state = (json['state'] as List)?.map((item) => item as String)?.toList();
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    type = json['type'];
    public = json['public'];
    links = new FeedbackLinks.fromJson(json['_links']);
    embedded = new FeedbackEmbedded.fromJson(json['_embedded']);
  }

  Map<String, dynamic> toJson() {
    return {
      'description': description,
      'geoCoordinates': geoCoordinates,
      'metadata': metadata,
      'id': id,
      'state': state,
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'type': type,
      'public': public,
      '_links': links,
      '_embedded': embedded,
    };
  }

  static List<Feedback> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Feedback>()
        : json.map((value) => new Feedback.fromJson(value)).toList();
  }

  static Map<String, Feedback> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Feedback>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new Feedback.fromJson(value));
    }
    return map;
  }
}
