part of keyclic_sdk_api.api;

class Member {
  List<String> roles = [];

  String id = null;

  DateTime createdAt = null;

  String type = null;

  MemberLinks links = null;

  MemberEmbedded embedded = null;

  Member();

  @override
  String toString() {
    return 'Member[roles=$roles, id=$id, createdAt=$createdAt, type=$type, links=$links, embedded=$embedded, ]';
  }

  Member.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    roles = (json['roles'] as List)?.map((item) => item as String)?.toList();
    id = json['id'];
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    type = json['type'];
    links = new MemberLinks.fromJson(json['_links']);
    embedded = new MemberEmbedded.fromJson(json['_embedded']);
  }

  Map<String, dynamic> toJson() {
    return {
      'roles': roles,
      'id': id,
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'type': type,
      '_links': links,
      '_embedded': embedded,
    };
  }

  static List<Member> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Member>()
        : json.map((value) => new Member.fromJson(value)).toList();
  }

  static Map<String, Member> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Member>();
    if (json != null && json.length > 0) {
      json.forEach(
          (String key, dynamic value) => map[key] = new Member.fromJson(value));
    }
    return map;
  }
}
