part of keyclic_sdk_api.api;

class Person {
  String familyName = null;

  String givenName = null;

  String jobTitle = null;

  bool optIn = null;

  PersonPreferences preferences = null;

  String id = null;

  String username = null;

  String email = null;

  DateTime createdAt = null;

  DateTime updatedAt = null;

  String type = null;

  PersonLinks links = null;

  Person();

  @override
  String toString() {
    return 'Person[familyName=$familyName, givenName=$givenName, jobTitle=$jobTitle, optIn=$optIn, preferences=$preferences, id=$id, username=$username, email=$email, createdAt=$createdAt, updatedAt=$updatedAt, type=$type, links=$links, ]';
  }

  Person.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    familyName = json['familyName'];
    givenName = json['givenName'];
    jobTitle = json['jobTitle'];
    optIn = json['optIn'];
    preferences = new PersonPreferences.fromJson(json['preferences']);
    id = json['id'];
    username = json['username'];
    email = json['email'];
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    updatedAt =
        json['updatedAt'] == null ? null : DateTime.parse(json['updatedAt']);
    type = json['type'];
    links = new PersonLinks.fromJson(json['_links']);
  }

  Map<String, dynamic> toJson() {
    return {
      'familyName': familyName,
      'givenName': givenName,
      'jobTitle': jobTitle,
      'optIn': optIn,
      'preferences': preferences,
      'id': id,
      'username': username,
      'email': email,
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'updatedAt': updatedAt == null ? '' : updatedAt.toUtc().toIso8601String(),
      'type': type,
      '_links': links,
    };
  }

  static List<Person> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Person>()
        : json.map((value) => new Person.fromJson(value)).toList();
  }

  static Map<String, Person> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Person>();
    if (json != null && json.length > 0) {
      json.forEach(
          (String key, dynamic value) => map[key] = new Person.fromJson(value));
    }
    return map;
  }
}
