part of keyclic_sdk_api.api;

class Place {
  String branchCode = null;

  PlaceGeo geo = null;

  String name = null;

  String id = null;

  DateTime createdAt = null;

  DateTime updatedAt = null;

  String type = null;

  PlaceLinks links = null;

  Place();

  @override
  String toString() {
    return 'Place[branchCode=$branchCode, geo=$geo, name=$name, id=$id, createdAt=$createdAt, updatedAt=$updatedAt, type=$type, links=$links, ]';
  }

  Place.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    branchCode = json['branchCode'];
    geo = new PlaceGeo.fromJson(json['geo']);
    name = json['name'];
    id = json['id'];
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    updatedAt =
        json['updatedAt'] == null ? null : DateTime.parse(json['updatedAt']);
    type = json['type'];
    links = new PlaceLinks.fromJson(json['_links']);
  }

  Map<String, dynamic> toJson() {
    return {
      'branchCode': branchCode,
      'geo': geo,
      'name': name,
      'id': id,
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'updatedAt': updatedAt == null ? '' : updatedAt.toUtc().toIso8601String(),
      'type': type,
      '_links': links,
    };
  }

  static List<Place> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Place>()
        : json.map((value) => new Place.fromJson(value)).toList();
  }

  static Map<String, Place> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Place>();
    if (json != null && json.length > 0) {
      json.forEach(
          (String key, dynamic value) => map[key] = new Place.fromJson(value));
    }
    return map;
  }
}
