part of keyclic_sdk_api.api;

class Property {
  String type = null;

  List<String> enum_ = [];

  String description = null;

  String format = null;

  int maxItems = null;

  int minItems = null;

  String default_ = null;

  int propertyOrder = null;

  String title = null;

  PropertyConditions conditions = null;

  PropertyItems items = null;

  Property();

  @override
  String toString() {
    return 'Property[type=$type, enum_=$enum_, description=$description, format=$format, maxItems=$maxItems, minItems=$minItems, default_=$default_, propertyOrder=$propertyOrder, title=$title, conditions=$conditions, items=$items, ]';
  }

  Property.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    type = json['type'];
    enum_ = (json['enum'] as List)?.map((item) => item as String)?.toList();
    description = json['description'];
    format = json['format'];
    maxItems = json['maxItems'];
    minItems = json['minItems'];
    default_ = json['default'];
    propertyOrder = json['propertyOrder'];
    title = json['title'];
    conditions = new PropertyConditions.fromJson(json['conditions']);
    items = new PropertyItems.fromJson(json['items']);
  }

  Map<String, dynamic> toJson() {
    return {
      'type': type,
      'enum': enum_,
      'description': description,
      'format': format,
      'maxItems': maxItems,
      'minItems': minItems,
      'default': default_,
      'propertyOrder': propertyOrder,
      'title': title,
      'conditions': conditions,
      'items': items,
    };
  }

  static List<Property> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Property>()
        : json.map((value) => new Property.fromJson(value)).toList();
  }

  static Map<String, Property> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Property>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new Property.fromJson(value));
    }
    return map;
  }
}
