part of keyclic_sdk_api.api;

class Publication {
  String message = null;

  int read = null;

  String title = null;

  String id = null;

  DateTime createdAt = null;

  String type = null;

  PublicationLinks links = null;

  Publication();

  @override
  String toString() {
    return 'Publication[message=$message, read=$read, title=$title, id=$id, createdAt=$createdAt, type=$type, links=$links, ]';
  }

  Publication.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    message = json['message'];
    read = json['read'];
    title = json['title'];
    id = json['id'];
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    type = json['type'];
    links = new PublicationLinks.fromJson(json['_links']);
  }

  Map<String, dynamic> toJson() {
    return {
      'message': message,
      'read': read,
      'title': title,
      'id': id,
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'type': type,
      '_links': links,
    };
  }

  static List<Publication> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Publication>()
        : json.map((value) => new Publication.fromJson(value)).toList();
  }

  static Map<String, Publication> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Publication>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new Publication.fromJson(value));
    }
    return map;
  }
}
