part of keyclic_sdk_api.api;

class PublicationPagination {
  int limit = null;

  int page = null;

  int pages = null;

  int total = null;

  PublicationCollection embedded = null;

  PaginationLinks links = null;

  PublicationPagination();

  @override
  String toString() {
    return 'PublicationPagination[limit=$limit, page=$page, pages=$pages, total=$total, embedded=$embedded, links=$links, ]';
  }

  PublicationPagination.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    limit = json['limit'];
    page = json['page'];
    pages = json['pages'];
    total = json['total'];
    embedded = new PublicationCollection.fromJson(json['_embedded']);
    links = new PaginationLinks.fromJson(json['_links']);
  }

  Map<String, dynamic> toJson() {
    return {
      'limit': limit,
      'page': page,
      'pages': pages,
      'total': total,
      '_embedded': embedded,
      '_links': links,
    };
  }

  static List<PublicationPagination> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<PublicationPagination>()
        : json
            .map((value) => new PublicationPagination.fromJson(value))
            .toList();
  }

  static Map<String, PublicationPagination> mapFromJson(
      Map<String, dynamic> json) {
    var map = new Map<String, PublicationPagination>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new PublicationPagination.fromJson(value));
    }
    return map;
  }
}
