part of keyclic_sdk_api.api;

class Report {
  String description = null;

  int priority = null;

  List<String> tags = [];

  String id = null;

  String identificationNumber = null;

  List<String> state = [];

  DateTime createdAt = null;

  DateTime updatedAt = null;

  String type = null;

  ReportLinks links = null;

  FeedbackEmbedded embedded = null;

  Report();

  @override
  String toString() {
    return 'Report[description=$description, priority=$priority, tags=$tags, id=$id, identificationNumber=$identificationNumber, state=$state, createdAt=$createdAt, updatedAt=$updatedAt, type=$type, links=$links, embedded=$embedded, ]';
  }

  Report.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    description = json['description'];
    priority = json['priority'];
    tags = (json['tags'] as List)?.map((item) => item as String)?.toList();
    id = json['id'];
    identificationNumber = json['identificationNumber'];
    state = (json['state'] as List)?.map((item) => item as String)?.toList();
    createdAt =
        json['createdAt'] == null ? null : DateTime.parse(json['createdAt']);
    updatedAt =
        json['updatedAt'] == null ? null : DateTime.parse(json['updatedAt']);
    type = json['type'];
    links = new ReportLinks.fromJson(json['_links']);
    embedded = new FeedbackEmbedded.fromJson(json['_embedded']);
  }

  Map<String, dynamic> toJson() {
    return {
      'description': description,
      'priority': priority,
      'tags': tags,
      'id': id,
      'identificationNumber': identificationNumber,
      'state': state,
      'createdAt': createdAt == null ? '' : createdAt.toUtc().toIso8601String(),
      'updatedAt': updatedAt == null ? '' : updatedAt.toUtc().toIso8601String(),
      'type': type,
      '_links': links,
      '_embedded': embedded,
    };
  }

  static List<Report> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<Report>()
        : json.map((value) => new Report.fromJson(value)).toList();
  }

  static Map<String, Report> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, Report>();
    if (json != null && json.length > 0) {
      json.forEach(
          (String key, dynamic value) => map[key] = new Report.fromJson(value));
    }
    return map;
  }
}
