part of keyclic_sdk_api.api;

class ReportPagination {
  int limit = null;

  int page = null;

  int pages = null;

  int total = null;

  ReportCollection embedded = null;

  PaginationLinks links = null;

  ReportPagination();

  @override
  String toString() {
    return 'ReportPagination[limit=$limit, page=$page, pages=$pages, total=$total, embedded=$embedded, links=$links, ]';
  }

  ReportPagination.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    limit = json['limit'];
    page = json['page'];
    pages = json['pages'];
    total = json['total'];
    embedded = new ReportCollection.fromJson(json['_embedded']);
    links = new PaginationLinks.fromJson(json['_links']);
  }

  Map<String, dynamic> toJson() {
    return {
      'limit': limit,
      'page': page,
      'pages': pages,
      'total': total,
      '_embedded': embedded,
      '_links': links,
    };
  }

  static List<ReportPagination> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<ReportPagination>()
        : json.map((value) => new ReportPagination.fromJson(value)).toList();
  }

  static Map<String, ReportPagination> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, ReportPagination>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new ReportPagination.fromJson(value));
    }
    return map;
  }
}
