part of keyclic_sdk_api.api;

class ReportPatch {
  String category = null;

  String description = null;

  String identificationNumber = null;

  int priority = null;

  List<String> tags = [];

  ReportPatch();

  @override
  String toString() {
    return 'ReportPatch[category=$category, description=$description, identificationNumber=$identificationNumber, priority=$priority, tags=$tags, ]';
  }

  ReportPatch.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    category = json['category'];
    description = json['description'];
    identificationNumber = json['identificationNumber'];
    priority = json['priority'];
    tags = (json['tags'] as List)?.map((item) => item as String)?.toList();
  }

  Map<String, dynamic> toJson() {
    return {
      'category': category,
      'description': description,
      'identificationNumber': identificationNumber,
      'priority': priority,
      'tags': tags,
    };
  }

  static List<ReportPatch> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<ReportPatch>()
        : json.map((value) => new ReportPatch.fromJson(value)).toList();
  }

  static Map<String, ReportPatch> mapFromJson(Map<String, dynamic> json) {
    var map = new Map<String, ReportPatch>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new ReportPatch.fromJson(value));
    }
    return map;
  }
}
